<?php


namespace AutoAdmin\Bundle\BrickBuilder\Brick\ConfigSetting;


use AutoAdmin\Bundle\Admin\Form\Type\Component\CollectionType;
use Symfony\Component\Form\Extension\Core\Type\TextType;

class ScalarCollectionSetting extends AbstractSettingType
{
    public function getDefaultFormType(): string
    {
        return CollectionType::class;
    }

    public function getDefaultFormTypeOptions(): array
    {
        return array_merge(parent::getDefaultFormTypeOptions(), [
            'entry_type' => TextType::class,
        ]);
    }
}
